<div id="data-space-details">
  <h3>{{ stepTitle }}</h3>

  <form [formGroup]="dataSpaceDetailsForm">
    <p>
      <mat-label
        class="d-block"
        [ngClass]="{ 'text-error': dataSpaceDetailsForm.get('name')?.invalid }"
      >
        Data Space name *
      </mat-label>
      <mat-form-field appearance="fill">
        <input matInput type="text" formControlName="name" />
      </mat-form-field>
    </p>
    <p>
      <mat-label
        class="d-block"
        [ngClass]="{
          'text-error': dataSpaceDetailsForm.get('description')?.invalid
        }"
      >
        Data Space description
      </mat-label>
      <mat-form-field appearance="fill">
        <textarea matInput formControlName="description" id=""></textarea>
        <mat-hint class="description-hint">Max 1000 characters</mat-hint>
      </mat-form-field>
    </p>
    <p>
      <mat-label class="d-block">Data Space type</mat-label>
      <mat-form-field appearance="fill">
        <mat-select formControlName="type">
          @for (dsType of this.dataSpaceTypes; track dsType) {
            <mat-option [value]="dsType[0]">{{ dsType[1] }}</mat-option>
          }
        </mat-select>
      </mat-form-field>
    </p>
    <p>
      <mat-label class="d-block">Add meta tags</mat-label>
      <mat-form-field appearance="fill">
        <mat-chip-grid
          #chipGrid
          aria-label="Enter tags"
          formControlName="tagList"
        >
        </mat-chip-grid>
        <input
          class="tags-input"
          placeholder="Type a tag and press 'Enter'"
          [matChipInputFor]="chipGrid"
          (matChipInputTokenEnd)="addTag($event)"
          (blur)="onBlurEvent()"
        />
      </mat-form-field>
      @for (tag of tags(); track tag) {
        <mat-chip-row (removed)="removeTag(tag)">
          {{ tag }}
          <button matChipRemove aria-label="'remove ' + tag">
            <mat-icon>cancel</mat-icon>
          </button>
        </mat-chip-row>
      }
    </p>
  </form>
</div>
